# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# these files are loaded in a Safe and can't use strictures
## no critic (TestingAndDebugging::RequireUseStrict)

%strings = (
  localconfig_ext_logins => <<'EOT',
An array of hashes of account details for external trackers.

e.g.
({
    name            => 'The Tracker',
    user            => 'bugzilla2jira@example.com',
    password        => 'the secret',
    push_cf_id      => 111,
    backlink_cf_id  => 123,
    post_comments   => 0,
    post_status     => 1,
    group_map       => [['BZ_Group_1', 'Jira_Group_11']],
    ignore_accounts => ['jira2bugzilla@example.com'],
})

You only need an entry for a tracker if you want to enable pushing data to a
tracker or to enable pulling data in private issues.

Required fields:

name
  The name of the tracker, must match the description in ET table.

Optional Fields:

user
  The user name in the external system.

password
  The password for the named user.

push_cf_id
  The custom field id in Jira used to track whether the Jira issue needs to update
  RHBZ. This assumes that Jira wil push changes to RHBZ.

backlink_cf_id
  The custom field id in Jira used to track what bugs are associated with a Jira
  issue. This is a comma separated list of full show_bug.cgi URIs, one per bug
  linked to the issue. Assuming Jira wants to backlink.

post_comments
  If true, any comment made in RHBZ will be pushed to all linked Jira issues.

post_status
  If true, any bug status changes made in RHBZ will be made as a comment to all
  linked Jira issues.

group_map
  An array of arrays mapping Bugzilla groups to Jira groups. When posting comments
  the 'visibility' will be set top 'type = "group",  value = "this group"'. This
  allows pushing updates for private bugs and comments.

ignore_accounts
  An array of RHBZ accounts to ignore updates from, to prevent ping-ponging
  updates.

EOT
);

